<Project Sdk="Microsoft.NET.Sdk">
	<PropertyGroup>
		<OutputType>Library</OutputType>
		<RootNamespace>Coscine.ResourceTypeWaterbutlerS3</RootNamespace>
		<AssemblyName>Coscine.ResourceTypeWaterbutlerS3</AssemblyName>
		<TargetFramework>net6.0</TargetFramework>
		<Version>2.2.0</Version>
	</PropertyGroup>
	<PropertyGroup>
		<Authors>RWTH Aachen University</Authors>
		<Company>IT Center, RWTH Aachen University</Company>
		<Copyright>2021 IT Center, RWTH Aachen University</Copyright>
		<Description>ResourceTypeWaterbutlerS3 is a part of the Coscine group.</Description>
		<PackageLicenseExpression>MIT</PackageLicenseExpression>
		<PackageProjectUrl>https://git.rwth-aachen.de/coscine/backend/libraries/ResourceTypeWaterbutlerS3</PackageProjectUrl>
		<PackageRequireLicenseAcceptance>false</PackageRequireLicenseAcceptance>
	</PropertyGroup>
	<PropertyGroup>
		<CopyLocalLockFileAssemblies>true</CopyLocalLockFileAssemblies>
	</PropertyGroup>
	<ItemGroup>
		<PackageReference Include="Coscine.ResourceTypeBase" Version="2.*-*" />
		<PackageReference Include="Coscine.WaterbutlerHelper" Version="2.*-*" />
		<PackageReference Include="AWSSDK.S3" Version="3.5.8.5" />
		<PackageReference Include="Costura.Fody" Version="5.0.2">
		  <PrivateAssets>all</PrivateAssets>
		  <IncludeAssets>runtime; build; compile; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
		</PackageReference>
	</ItemGroup>
</Project>